﻿using System;
using System.ServiceModel;
using Artech.AspCompatibleServices.Contracts;
namespace Artech.AspCompatibleServices.Clients
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ChannelFactory<ICalculate> channelFactory = new ChannelFactory<ICalculate>("calculateservice"))
            {
                ICalculate proxy = channelFactory.CreateChannel();
                Console.WriteLine("初始值为: {0}", proxy.GetResult());
                proxy.Add(1);
                Console.WriteLine("Add(3)", proxy.GetResult());
                Console.WriteLine("运算结果为: {0}", proxy.GetResult());
                proxy.Multiply(10);
                Console.WriteLine("Multiply(10)", proxy.GetResult());
                Console.WriteLine("运算结果为: {0}", proxy.GetResult());
                proxy.Subtract(2);
                Console.WriteLine("Abstract(2)", proxy.GetResult());
                Console.WriteLine("运算结果为: {0}", proxy.GetResult());
            }
            Console.Read();
        }
    }
}