﻿using System.ServiceModel.Activation;
using System.Web;
using Artech.AspCompatibleServices.Contracts;
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
public class CalculateService:ICalculate
{

    #region ICalculate Members

    public void Add(double x)
    {
        HttpContext.Current.Session["__Result"] = GetResult() + x;
    }

    public void Subtract(double x)
    {
        HttpContext.Current.Session["__Result"] = GetResult() - x;
    }

    public void Multiply(double x)
    {
        HttpContext.Current.Session["__Result"] = GetResult() * x;
    }

    public void Divide(double x)
    {
        HttpContext.Current.Session["__Result"] = GetResult() / x;
    }

    public double GetResult()
    {
        if (HttpContext.Current.Session["__Result"] == null)
        {
            HttpContext.Current.Session["__Result"] = 0.0;
        }
        return (double)HttpContext.Current.Session["__Result"];        
    }

    #endregion
}